﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using PQ.Multitouch;
using PQ.Multitouch.Controls;

namespace $safeprojectname$
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : ITableWindow
    {
        // Rect is used as the perimeter boundary for multitouch gestures
        Rect rect;

        public MainWindow()
        {
            InitializeComponent();

            // Instantiate rect to be the size of the screen/application
            this.rect = new Rect(0, 0, SystemParameters.PrimaryScreenWidth, SystemParameters.PrimaryScreenHeight);
        }

        protected override void OnInitialized(EventArgs e)
        {
            base.OnInitialized(e);

            // Initialize Multitouch in the MainWindow
            MultiTouch.Init();
        }
    }
}
